@extends('layouts.layout')
@section('content')
    <div class="container-xxl">
      <div class="authentication-wrapper authentication-basic container-p-y">
        <div class="authentication-inner py-4">
          <!-- Login -->
          <div class="card">
            <div class="card-body">
              <!-- Logo -->
              <div class="app-brand justify-content-center mb-4 mt-2" style="display: flex; text-align: center;">
                    <a href="#" class="app-brand-link gap-0" >
                        <img src="assets/img/icons/logo.png" alt="icon" width="30%" style="margin-left: 20%;">
                        <span class="app-brand-text demo text-body fw-bold">SAFIRA</span>
                    </a>
              </div>
              <!-- /Logo -->
              <h4 class="mb-1 pt-2">Welcome Login</h4>
              <p class="mb-4">Safety Information & Reporting Application</p>

              <form class="mb-3" action="{{ route('login') }}" method="POST">
                @csrf
                @if (session('error'))
                    <div class="alert alert-danger">{{ session('error') }}</div>
                @endif
                <div class="mb-3">
                  <label for="email" class="form-label">Email</label>
                  <input required type="text" class="form-control" value="{{ Session::get('email') }}" name="email" placeholder="Enter your email" autofocus />
                </div>
                <div class="mb-3 form-password-toggle">
                  <div class="d-flex justify-content-between">
                    <label class="form-label" for="password">Password</label>
                    <a href="{{route('forgot')}}">
                      <small style="color:#004ae1;">Forgot Password?</small>
                    </a>
                  </div>
                  <div class="input-group input-group-merge">
                    <input
                      required
                      type="password"
                      class="form-control"
                      name="password"
                      placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                      aria-describedby="password" />
                    <span class="input-group-text cursor-pointer"><i class="ti ti-eye-off"></i></span>
                  </div>
                </div>
                <div class="mb-3">
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" id="remember-me" />
                    <label class="form-check-label" for="remember-me"> Remember Me </label>
                  </div>
                </div>
                <div class="mb-3">
                  <button class="btn d-grid w-100" type="submit" name="submit" style="background-color: #004ae1; color:white;">Sign in</button>

                </div>
                <div class="mb-1">
                    <a href="{{ route('signup') }}" class="btn d-grid w-100" style="background-color: white; color: #004ae1; border: 2px solid #004ae1;">Registrasi</a>
                </div>

              </form>


              {{-- <p class="text-center">
                <span>New on our platform?</span>
                <a href="auth-register-basic.html">
                  <span>Create an account</span>
                </a>
              </p> --}}

              {{-- <div class="divider my-4">
                <div class="divider-text">or</div>
              </div>

              <div class="d-flex justify-content-center">
                <a href="javascript:;" class="btn btn-icon btn-label-facebook me-3">
                  <i class="tf-icons fa-brands fa-facebook-f fs-5"></i>
                </a>

                <a href="javascript:;" class="btn btn-icon btn-label-google-plus me-3">
                  <i class="tf-icons fa-brands fa-google fs-5"></i>
                </a>
              </div> --}}
            </div>
          </div>
          <!-- /Register -->
        </div>
      </div>

    </div>


@endsection
